summaryrefslogtreecommitdiff
path: root/ports/redhat/ripngd.init
diff options
context:
space:
mode:
authorpaul <paul>2003-01-18 00:22:08 +0000
committerpaul <paul>2003-01-18 00:22:08 +0000
commit788cdc6d5e7cf2d7fa5d6d0f743432f8f4c7048a (patch)
tree387f28ea130b5325aefa2de5358971fb7fcf78ff /ports/redhat/ripngd.init
parent09e4efdcb22ac13af3f6e3a38158871ed140e5e0 (diff)
Added RedHat related files, (init, logrotate, pam, rpm spec)
Diffstat (limited to 'ports/redhat/ripngd.init')
-rw-r--r--ports/redhat/ripngd.init60
1 files changed, 60 insertions, 0 deletions
diff --git a/ports/redhat/ripngd.init b/ports/redhat/ripngd.init
new file mode 100644
index 00000000..be54a013
--- /dev/null
+++ b/ports/redhat/ripngd.init
@@ -0,0 +1,60 @@
+#!/bin/bash
+#
+# chkconfig: - 16 84
+# description: A RIP routing engine for use with Zebra and IPv6
+#
+# processname: ripngd
+# config: /etc/zebra/ripngd.conf
+
+# source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ "${NETWORKING_IPV6}" = "no" ] && exit 0
+
+# The process must be configured first.
+[ -f /etc/zebra/ripngd.conf ] || exit 0
+
+RETVAL=0
+prog="ripngd"
+
+case "$1" in
+ start)
+ echo -n $"Starting $prog: "
+ daemon /usr/sbin/ripngd -d
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ripngd
+ echo
+ ;;
+ stop)
+ echo -n $"Shutting down $prog: "
+ killproc ripngd
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ripngd
+ echo
+ ;;
+ restart|reload)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ condrestart)
+ if [ -f /var/lock/subsys/ripngd ]; then
+ $0 stop
+ $0 start
+ fi
+ RETVAL=$?
+ ;;
+ status)
+ status ripngd
+ RETVAL=$?
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
+ exit 1
+esac
+
+exit $RETVAL